.elementor-location-header.sg-menu-init {
    position: absolute; /* Maintient le header en place sans affecter le reste du layout */
    width: 100%;
    top: 0;
    z-index: 500; /* Z-index moins élevé que la classe sticky */
}


.elementor-location-header.sg-sticky {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    background-color: white; /* Fond blanc pour visibilité */
    box-shadow: 0 2px 5px rgba(0,0,0,0.2); /* Ajoute une ombre pour un effet de profondeur */
    opacity: 0;
    transform: translateY(-100%);
    display: none;
}

.elementor-location-header.sg-sticky-trans {
    display: block;
    transition: all 0.3s ease-in-out; 
}

.elementor-location-header.sg-sticky.sg-sticky-visible{
    opacity: 1;
    transform: translateY(0);
}


.elementor-location-header.sg-sticky .sg-logo{
    width: 53px;
    overflow: hidden;
    height: 45px;
    margin-top: 3px;
}

.elementor-location-header.sg-sticky .elementor-search-form__toggle {
    --e-search-form-toggle-size: 32px !important;
}

.elementor-location-header.sg-sticky > .elementor-element{
    padding-bottom:11px;
}

body, body.elementor-kit-6{
    padding-top: 95px;
}

@media (min-width: 1025px) {
    body, body.elementor-kit-6{
        padding-top: 144px;
    }

    .elementor-location-header.sg-sticky .elementor-nav-menu .elementor-item {
        font-size: 13px !important;
        padding: 7px 10px !important;
    }
}

.e-lottie__container svg{
    transform: unset !important;
}

.elementor-search-form .sg-search-submit {
	background-color: transparent !important; /* Fond blanc */
	border: none;
	cursor: pointer;
	display: flex;
	align-items: center;
	justify-content: center;
	transition: all 0.1s ease-in-out; 
	position: absolute;
	right: 15%; 
	top: 50%;
	transform: translateY(-50%);
}

.elementor-search-form .sg-search-submit svg {
	fill: #fff; /* Couleur de l'icône */
	width: 25px;
	height: 25px;
}

.elementor-search-form .sg-search-submit:hover {
	opacity: 0.7;
}


.elementor-search-form input[type="search"]::-webkit-search-cancel-button {
	-webkit-appearance: none;
	appearance: none;
}